summaryrefslogtreecommitdiff
path: root/contrib/run-script-casc26-tfa
diff options
context:
space:
mode:
authorajreynol <andrew.j.reynolds@gmail.com>2017-05-22 11:00:10 -0500
committerajreynol <andrew.j.reynolds@gmail.com>2017-05-22 11:00:10 -0500
commit02b3aba2273232504e76e0c7d49226ef2a27977f (patch)
treecef4178f5dd8c69549dbc9217681e69588e8d4ca /contrib/run-script-casc26-tfa
parent0971aa005c33fb1aaa18ed4522e25d89bb909238 (diff)
Initial draft of 2017 competition scripts.
Diffstat (limited to 'contrib/run-script-casc26-tfa')
-rw-r--r--contrib/run-script-casc26-tfa41
1 files changed, 41 insertions, 0 deletions
diff --git a/contrib/run-script-casc26-tfa b/contrib/run-script-casc26-tfa
new file mode 100644
index 000000000..9f6749ed6
--- /dev/null
+++ b/contrib/run-script-casc26-tfa
@@ -0,0 +1,41 @@
+#!/bin/bash
+
+here=`dirname $0`
+cvc4=$here/cvc4
+bench="$1"
+
+file=${bench##*/}
+filename=${file%.*}
+
+echo "------- cvc4-tfa casc j8 : $bench at $2..."
+
+# use: trywith [params..]
+# to attempt a run. If an SZS ontology result is printed, then
+# the run script terminates immediately. Otherwise, this
+# function returns normally.
+function trywith {
+ limit=$1; shift;
+ echo "--- Run $@ at $limit...";
+ (ulimit -S -t "$limit";$cvc4 --lang=tptp --no-checking --no-interactive --force-logic="UFNIRA" --dump-instantiations --inst-format=szs --force-no-limit-cpu-while-dump "$@" $bench) 2>/dev/null |
+ (read w1 w2 w3 result w4 w5;
+ case "$result" in
+ Unsatisfiable) echo "$w1 $w2 $w3 $result $w4 $w5";cat;exit 0;;
+ Theorem) echo "$w1 $w2 $w3 $result $w4 $w5";cat;exit 0;;
+ esac; exit 1)
+ if [ ${PIPESTATUS[1]} -eq 0 ]; then exit 0; fi
+}
+function finishwith {
+ echo "--- Run $@...";
+ $cvc4 --lang=tptp --no-checking --no-interactive --force-logic="UFNIRA" --dump-instantiations --inst-format=szs --force-no-limit-cpu-while-dump "$@" $bench
+}
+
+trywith 10 --decision=internal --full-saturate-quant
+trywith 10 --finite-model-find --decision=internal
+trywith 10 --nl-ext --nl-ext-tplanes --decision=internal --full-saturate-quant
+trywith 10 --purify-quant --full-saturate-quant
+trywith 10 --partial-triggers --full-saturate-quant
+trywith 10 --no-e-matching --full-saturate-quant
+trywith 30 --cbqi-all --purify-triggers --full-saturate-quant
+trywith 30 --nl-ext --fs-inst --full-saturate-quant
+finishwith --nl-ext --nl-ext-tplanes --full-saturate-quant
+# echo "% SZS status" "GaveUp for $filename"
generated by cgit on debian on lair
contact matthew@masot.net with questions or feedback